//@ts-ignore
import React, { Component } from 'react';
export declare class PdfDocumentViewer extends Component<any, any> {
    private _rightSidebarElement;
    private _pdfPaneOuterElement;
    constructor(props: any, state: any);
//@ts-ignore
//@ts-ignore
    render(): React.JSX.Element;
    get pdfPaneOuterElement(): HTMLDivElement | null;
    get rightSidebarElement(): HTMLDivElement | null;
}
